package org.kne.cloud.network;

import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.SocketAddress;

public abstract class DatagramServerSocketFactory {
	public DatagramServerSocket createDatagramServerSocket() throws IOException {
		return new DatagramServerSocket((SocketAddress)null);
	}

	public abstract DatagramServerSocket createDatagramServerSocket(int port) throws IOException;

	public abstract DatagramServerSocket createDatagramServerSocket(int port, int backlog) throws IOException;

	public abstract DatagramServerSocket createDatagramServerSocket(int port, int backlog, InetAddress ifAddress) throws IOException;
}
